For Developers

List Agents

GET https://ed.link/api/v2/my/agents

Retrieve a list of Agents that the current user is associated with. This includes all agent relationships in which the current user is the observer or the target.

Request Parameters

This query allows for filtering results.

This query allows for standard paging parameters.

It is best practice to use either $first or $last in conjunction with the $next value returned by the API to paginate through results.

Sample Request

axios.get('https://ed.link/api/v2/my/agents', {
    headers: {
        authorization: `Bearer ${person_access_token}`
    }
});

Sample Response

{
    "$data": [
        {
            "id": "0a5c73b7-ef15-40e2-9295-8540914db235",
            "created_date": "2023-04-25T16:46:09.601Z",
            "updated_date": "2023-04-25T16:46:09.601Z",
            "relationship": "mother",
            "flags": ["emergency_contact", "pickup_rights", "legal_guardian"],
            "observer_id": "725b31b5-8563-4b51-8df8-419b222e1779",
            "target_id": "787d717b-e57b-4f81-81eb-6cb2450728c9",
            "properties": {},
            "identifiers": []
        },
        {
            "id": "3ed0472d-f5e3-4776-9991-f0d567e7e9dc",
            "created_date": "2023-04-25T16:46:09.601Z",
            "updated_date": "2023-04-25T16:46:09.601Z",
            "relationship": "father",
            "flags": ["emergency_contact", "pickup_rights", "legal_guardian", "has_custody", "access_to_records", "primary_care_provider"],
            "observer_id": "39d45954-0953-40bc-92ec-2d96f32bf803",
            "target_id": "787d717b-e57b-4f81-81eb-6cb2450728c9",
            "properties": {},
            "identifiers": []
        }
    ],
    "$request": "00000000-0000-0000-0000-000000000000"
}